Bug 1123066 - Invalid memory access after freeing
Summary: Invalid memory access after freeing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: make
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Patsy Franklin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 18:39 UTC by Andris Pavenis
Modified: 2015-06-29 21:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:44:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1348150 None None None Never

Description Andris Pavenis 2014-07-24 18:39:26 UTC
Description of problem:

Ivalid memory access after free() for simple Makele when specifying make variable value in command line.

#-----------------------------------------------
release: CXXFLAGS ?= -O2 -mfpmath=sse
debug: CXXFLAGS ?= -g
CXXFLAGS ?= -O2 -g

release debug all:
        @echo $(CXXFLAGS)
#-----------------------------------------------

Version-Release number of selected component (if applicable):

Reproducable with make-3.82-19.fc20.x86_64, make-3.81, make-3.81

How reproducible:

Always

Steps to Reproduce:
1. run make under Valgrind and specify CXXFLAGS value in command line

valgrind make CXXFLAGS="some text here"


Actual results:

Memory access errors from Valgrind (initially noticed that providing make variable from command line does not work in more complicated Makefile)

Expected results:

No memory access error, provided variable value outputted

Additional info:

Initially found on Ubuntu, reproduced on Fedora 20 and fixed there (in Fedora)

Patch submitted to Ubuntu launchpad

Comment 1 Fedora End Of Life 2015-05-29 12:27:49 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:44:33 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.